<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_rel_widget_clone">
    <sp_rel_widget_clone action="INSERT_OR_UPDATE">
        <child display_value="Rail VirtualAgent">904c1f702f530110f98855f62799b679</child>
        <cloned>2022-05-04 09:04:53</cloned>
        <last_validated>2022-05-04 09:04:53</last_validated>
        <parent display_value="Virtual Agent Preview">1d1e810c0ff120101527008c07767e21</parent>
        <payload>&lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;sp_widget&gt;&lt;category&gt;sc&lt;/category&gt;&lt;client_script&gt;&lt;![CDATA[api.controller=function($scope, spUtil, $window) {
  var c = this;
	spUtil.recordWatch($scope, "sc_item_produced_record", "record_key=" + c.data.cat_item_id, function(response, data) {
			$window.location.reload();
		});
};]]&gt;&lt;/client_script&gt;&lt;controller_as&gt;c&lt;/controller_as&gt;&lt;css&gt;.va-alignment {
	position: relative;
  width: 430px;
  height: 624px;
  margin: auto;
}
.va-alignment-img {
  width: 410px !important;
}&lt;/css&gt;&lt;data_table&gt;sp_instance&lt;/data_table&gt;&lt;demo_data/&gt;&lt;description/&gt;&lt;docs/&gt;&lt;field_list/&gt;&lt;has_preview&gt;false&lt;/has_preview&gt;&lt;id&gt;virtual_agent_preview&lt;/id&gt;&lt;internal&gt;true&lt;/internal&gt;&lt;link&gt;&lt;![CDATA[function link(scope, element, attrs, controller) {  }]]&gt;&lt;/link&gt;&lt;name&gt;Virtual Agent Preview&lt;/name&gt;&lt;option_schema/&gt;&lt;public&gt;false&lt;/public&gt;&lt;roles/&gt;&lt;script&gt;&lt;![CDATA[(function() {
	data.isVAPluginInstalled = GlidePluginManager.isActive('com.glideapp.cs.sm_topic_blocks') &amp;&amp; (GlidePluginManager.isActive('com.glide.cs.chatbot') || GlidePluginManager.isActive('com.glide.cs.chatbot.lite'));
	if (data.isVAPluginInstalled) {
		data.cat_item_id = $sp.getParameter('sys_id');
		var gr = new GlideRecord('sc_cat_item');
		if (!gr.get(data.cat_item_id))
			data.cat_item_id = -1;
		
		data.isConversational = new sn_sc.CatalogConversationHelper().hasVASupport(data.cat_item_id);
		data.docUrl = new SNC.ContextDocAPI().getURLFromName('catalog-topic-blocks-va');
		var topic_id = gs.getProperty("glide.sc.builder.va_preview_topic_id");
		data.url = '/$sn-va-web-client-app.do?sysparm_default_topic=' + topic_id + '&amp;sysparm_catalog_builder_preview=true&amp;sysparm_skip_load_history=true&amp;sysparm_cat_item_id=' + data.cat_item_id;
	}
})();]]&gt;&lt;/script&gt;&lt;servicenow&gt;true&lt;/servicenow&gt;&lt;sys_class_name&gt;sp_widget&lt;/sys_class_name&gt;&lt;sys_created_by&gt;admin&lt;/sys_created_by&gt;&lt;sys_created_on&gt;2021-01-14 08:51:47&lt;/sys_created_on&gt;&lt;sys_id&gt;1d1e810c0ff120101527008c07767e21&lt;/sys_id&gt;&lt;sys_mod_count&gt;8&lt;/sys_mod_count&gt;&lt;sys_name&gt;Virtual Agent Preview&lt;/sys_name&gt;&lt;sys_package display_value="Service Catalog Builder" source="com.glideapp.servicecatalog.catalog_builder"&gt;e51522e2a5380110c0a0e1db2cdc95b9&lt;/sys_package&gt;&lt;sys_policy&gt;protected&lt;/sys_policy&gt;&lt;sys_scope display_value="Global"&gt;global&lt;/sys_scope&gt;&lt;sys_update_name&gt;sp_widget_1d1e810c0ff120101527008c07767e21&lt;/sys_update_name&gt;&lt;sys_updated_by&gt;admin&lt;/sys_updated_by&gt;&lt;sys_updated_on&gt;2021-05-20 05:24:03&lt;/sys_updated_on&gt;&lt;template&gt;&lt;![CDATA[&lt;div ng-if="data.isVAPluginInstalled"&gt;
  &lt;div ng-if="!data.isConversational" class="text-center"&gt;
    &lt;h2 class="text-primary"&gt;${You’re covered, even when it’s not conversational}&lt;/h2&gt;
    &lt;span&gt;${This catalog item has advanced features that the &lt;a href="{{data.docUrl}}" target="_blank"&gt;virtual agent doesn’t understand yet&lt;/a&gt;.}&lt;/span&gt;
    &lt;p&gt;${However, your users can still request this item using the link provided in the chat.}&lt;/p&gt;
    &lt;p&gt;${Here’s a preview of what that looks like in Virtual Agent}&lt;/p&gt;
  &lt;/div&gt;
	&lt;div class="va-alignment"&gt;
	&lt;iframe width="100%" height="100%"
          title="Conversation Preview Pane" 
          src={{data.url}}  
          style="border: none;"&gt;&lt;/iframe&gt;
	&lt;/div&gt;
&lt;/div&gt;
&lt;div ng-if="!data.isVAPluginInstalled" class="text-center"&gt;
  &lt;h2 class="text-primary"&gt;${Your Virtual Agent can do even more!}&lt;/h2&gt;
  &lt;div class="va-alignment"&gt;
    &lt;p&gt;${Empower your users to submit requests for this item in Virtual Agent by installing the Service Management topic blocks.}&lt;/p&gt;
    &lt;p&gt;${Here is an example of how this works}&lt;/p&gt;
    &lt;img src="images/va_preview.gif" class="va-alignment va-alignment-img" alt="VA Preview"/&gt;
  &lt;/div&gt;
&lt;/div&gt;]]&gt;&lt;/template&gt;&lt;/sp_widget&gt;</payload>
        <sys_class_name>sp_rel_widget_clone</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 09:04:53</sys_created_on>
        <sys_id>d84c1f702f530110f98855f62799b67d</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>904c1f702f530110f98855f62799b679</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sp_rel_widget_clone_d84c1f702f530110f98855f62799b67d</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 09:04:53</sys_updated_on>
    </sp_rel_widget_clone>
</record_update>
